Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.mappingdmr.model
Interface VMappingdmrPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VMappingdmrPackageImpl

    public interface VMappingdmrPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VMappingdmrFactory`

Nested Class Summary
`static interface` | `VMappingdmrPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VMappingdmrPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `MAPPING_DOMAIN_MODEL_REFERENCE` The meta object id for the ' `Mapping Domain Model Reference`' class.
`static int` | `MAPPING_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER` The feature id for the 'Change Listener' attribute list.
`static int` | `MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE` The feature id for the 'Domain Model EFeature' reference.
`static int` | `MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH` The feature id for the 'Domain Model EReference Path' reference list.
`static int` | `MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE` The feature id for the 'Domain Model Reference' containment reference.
`static int` | `MAPPING_DOMAIN_MODEL_REFERENCE__MAPPED_CLASS` The feature id for the 'Mapped Class' reference.
`static int` | `MAPPING_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT` The number of structural features of the ' Mapping Domain Model Reference' class.

Method Summary
`VMappingdmrFactory` | `getMappingdmrFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getMappingDomainModelReference_DomainModelReference()` Returns the meta object for the containment reference ' `Domain Model Reference`'.
`org.eclipse.emf.ecore.EReference` | `getMappingDomainModelReference_MappedClass()` Returns the meta object for the reference ' `Mapped Class`'.
`org.eclipse.emf.ecore.EClass` | `getMappingDomainModelReference()` Returns the meta object for class ' `Mapping Domain Model Reference`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VMappingdmrPackage eINSTANCE

  The singleton instance of the package.

### MAPPING_DOMAIN_MODEL_REFERENCE

    static final int MAPPING_DOMAIN_MODEL_REFERENCE

  The meta object id for the ' `Mapping Domain Model Reference`' class.

  See Also:
    `VMappingDomainModelReferenceImpl`, `VMappingdmrPackageImpl.getMappingDomainModelReference()`, Constant Field Values

### MAPPING_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

    static final int MAPPING_DOMAIN_MODEL_REFERENCE__CHANGE_LISTENER

  The feature id for the 'Change Listener' attribute list.

  See Also:
    Constant Field Values

### MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

    static final int MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EFEATURE

  The feature id for the 'Domain Model EFeature' reference.

  See Also:
    Constant Field Values

### MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

    static final int MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_EREFERENCE_PATH

  The feature id for the 'Domain Model EReference Path' reference list.

  See Also:
    Constant Field Values

### MAPPING_DOMAIN_MODEL_REFERENCE__MAPPED_CLASS

    static final int MAPPING_DOMAIN_MODEL_REFERENCE__MAPPED_CLASS

  The feature id for the 'Mapped Class' reference.

  See Also:
    Constant Field Values

### MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE

    static final int MAPPING_DOMAIN_MODEL_REFERENCE__DOMAIN_MODEL_REFERENCE

  The feature id for the 'Domain Model Reference' containment reference.

  See Also:
    Constant Field Values

### MAPPING_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

    static final int MAPPING_DOMAIN_MODEL_REFERENCE_FEATURE_COUNT

  The number of structural features of the ' Mapping Domain Model Reference' class.

  See Also:
    Constant Field Values

Method Detail

### getMappingDomainModelReference

    org.eclipse.emf.ecore.EClass getMappingDomainModelReference()

  Returns the meta object for class ' `Mapping Domain Model Reference`'.

  Returns:
    the meta object for class ' Mapping Domain Model Reference'.
  See Also:
    `VMappingDomainModelReference`

### getMappingDomainModelReference_MappedClass

    org.eclipse.emf.ecore.EReference getMappingDomainModelReference_MappedClass()

  Returns the meta object for the reference ' `Mapped Class`'.

  Returns:
    the meta object for the reference 'Mapped Class'.
  See Also:
    `VMappingDomainModelReference.getMappedClass()`, `getMappingDomainModelReference()`

### getMappingDomainModelReference_DomainModelReference

    org.eclipse.emf.ecore.EReference getMappingDomainModelReference_DomainModelReference()

  Returns the meta object for the containment reference ' `Domain Model Reference`'.

  Returns:
    the meta object for the containment reference ' Domain Model Reference'.
  See Also:
    `VMappingDomainModelReference.getDomainModelReference()`, `getMappingDomainModelReference()`

### getMappingdmrFactory

    VMappingdmrFactory getMappingdmrFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.